package fr.uca.iut.clfreville2.teaiswarm.fragment

import android.content.SharedPreferences
import android.os.Bundle
import android.view.View
import android.widget.Button
import android.widget.EditText
import androidx.core.content.edit
import androidx.fragment.app.Fragment
import androidx.navigation.findNavController
import fr.uca.iut.clfreville2.teaiswarm.R
import fr.uca.iut.clfreville2.teaiswarm.USERNAME

class SetupConfigFragment(private val preferences: SharedPreferences) : Fragment(R.layout.setup_config) {

    private lateinit var usernameInput: EditText
    private lateinit var confirmButton: Button

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        usernameInput = view.findViewById(R.id.username_input)
        confirmButton = view.findViewById(R.id.configure_button)
        confirmButton.setOnClickListener {
            preferences.edit {
                putString(USERNAME, usernameInput.text.toString())
            }
            view.findNavController().navigate(R.id.repository_list_fragment)
        }
    }
}